Debian Bug report logs - #561309
firmware-linux-nonfree: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Miles Bader <miles@gnu.org>

Date: Wed, 16 Dec 2009 01:21:02 UTC

Severity: normal

Found in version 2.6.32~rc8-1~experimental.1

Fixed in version linux-2.6/2.6.32-3

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Wed, 16 Dec 2009 01:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@gnu.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Dec 2009 01:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-linux-nonfree: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Wed, 16 Dec 2009 10:11:46 +0900
Package: firmware-linux-nonfree
Version: 0.21
Severity: normal


Installing the new kernel package "linux-image-2.6.32-trunk-amd64"
results in new warning messages like:

   W: Possible missing firmware /lib/firmware/rtl8168d-2.fw for module r8169

It looks like this firmware was removed from the kernel proper as part
of the non-free firmware removal process, which suggests that it should
be included in firmware-linux-nonfree instead.

Thanks,

-Miles


-- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

firmware-linux-nonfree depends on no packages.

firmware-linux-nonfree recommends no packages.

Versions of packages firmware-linux-nonfree suggests:
ii  initramfs-tools               0.93.4     tools for generating an initramfs
ii  linux-image-2.6.31-1-amd64 [l 2.6.31-2   Linux 2.6.31 for 64-bit PCs
ii  linux-image-2.6.32-trunk-amd6 2.6.32-1   Linux 2.6.32 for 64-bit PCs

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Wed, 16 Dec 2009 01:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Dec 2009 01:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Miles Bader <miles@gnu.org>, 561309@bugs.debian.org
Subject: Re: Bug#561309: firmware-linux-nonfree: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Wed, 16 Dec 2009 01:47:13 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2009-12-16 at 10:11 +0900, Miles Bader wrote:
> Package: firmware-linux-nonfree
> Version: 0.21
> Severity: normal
> 
> 
> Installing the new kernel package "linux-image-2.6.32-trunk-amd64"
> results in new warning messages like:
> 
>    W: Possible missing firmware /lib/firmware/rtl8168d-2.fw for module r8169
> 
> It looks like this firmware was removed from the kernel proper as part
> of the non-free firmware removal process, which suggests that it should
> be included in firmware-linux-nonfree instead.

We don't yet have clear permission to distribute this.  However, it is
only required for a chip which is newly supported by the r8169 driver in
2.6.32.  If the driver worked for you before, it will continue to work
now.

Ben.

-- 
Ben Hutchings
Hoare's Law of Large Problems:
        Inside every large problem is a small problem struggling to get out.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, dawitbro@sbcglobal.net, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Wed, 16 Dec 2009 16:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Extra info received and forwarded to list. Copy sent to dawitbro@sbcglobal.net, Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 16 Dec 2009 16:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 561309@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: Debian Bug Tracking System <561309@bugs.debian.org>
Subject: Re: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Wed, 16 Dec 2009 11:49:45 -0500
Package: firmware-linux-nonfree
Version: 0.21
Severity: normal

> On Wed, 2009-12-16 at 10:11 +0900, Miles Bader wrote:
> > Package: firmware-linux-nonfree
> > Version: 0.21
> > Severity: normal
> > 
> > 
> > Installing the new kernel package "linux-image-2.6.32-trunk-amd64"
> > results in new warning messages like:
> > 
> >    W: Possible missing firmware /lib/firmware/rtl8168d-2.fw for module r8169
> > 
> > It looks like this firmware was removed from the kernel proper as part
> > of the non-free firmware removal process, which suggests that it should
> > be included in firmware-linux-nonfree instead.
> 
> We don't yet have clear permission to distribute this.  However, it is
> only required for a chip which is newly supported by the r8169 driver in
> 2.6.32.  If the driver worked for you before, it will continue to work
> now.

May I provide evidence to the contrary?

I compile my own kernels, and use them exclusively unless some problem
arises which forces me to use another kernel.  Therefore, I keep a stock
Debian kernel installed and available via GRUB in case something bad
happens with my kernels.

In the Fall I had to replace the motherboard on my desktop system, and
it uses r8169.  The Debian kernels for 2.6.30 and 2.6.31 will boot fine
on this hardware and provide perfectly working ethernet support.

When 2.6.32-truck (AMD64 here) was released, I tried switching to that
for my Debian backup kernel... but it hangs in boot, with some very
nasty backtracing.  It does print the warning about missing firmware,
but the boot will not finish -- unlike previous Debian kernels on this
same hardware.

I usually build my custom kernels from kernel.org git now, since
kernel-archive.buildserver.net went down.  Those run just fine for me.

I did not submit a bug report on this because I looked at the Debian BTS
first, and saw that the issue had already been addressed:  missing
firmware would likely appear later.  I assumed that the Debian Kernel
Team knew that 2.6.32 will not boot on hardware like mine without that
firmware, but now I see that my assumption was wrong.

Would you like me to submit a new bug report, or is merely providing
this anecdote sufficient?


HTH,
Dave W.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-0git091206.desktop.vesa (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

firmware-linux-nonfree depends on no packages.

firmware-linux-nonfree recommends no packages.

Versions of packages firmware-linux-nonfree suggests:
ii  initramfs-tools               0.93.4     tools for generating an initramfs
ii  linux-image-2.6.31-1-amd64 [l 2.6.31-2   Linux 2.6.31 for 64-bit PCs
ii  linux-image-2.6.32-0git091206 daw06      Linux kernel binary image for vers

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Thu, 17 Dec 2009 01:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 17 Dec 2009 01:21:02 GMT) Full text and rfc822 format available.

Message #20 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dave Witbrodt <dawitbro@sbcglobal.net>, 561309@bugs.debian.org
Subject: Re: Bug#561309: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Thu, 17 Dec 2009 01:15:36 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2009-12-16 at 11:49 -0500, Dave Witbrodt wrote:
[...]
> May I provide evidence to the contrary?
> 
> I compile my own kernels, and use them exclusively unless some problem
> arises which forces me to use another kernel.  Therefore, I keep a stock
> Debian kernel installed and available via GRUB in case something bad
> happens with my kernels.
> 
> In the Fall I had to replace the motherboard on my desktop system, and
> it uses r8169.  The Debian kernels for 2.6.30 and 2.6.31 will boot fine
> on this hardware and provide perfectly working ethernet support.
> 
> When 2.6.32-truck (AMD64 here) was released, I tried switching to that
> for my Debian backup kernel... but it hangs in boot, with some very
> nasty backtracing.  It does print the warning about missing firmware,
> but the boot will not finish -- unlike previous Debian kernels on this
> same hardware.
[...]

Please send these boot messages.  A screenshot will do, but you might
need to use the kernel parameter "vga=6" to avoid messages scrolling off
the screen.

Ben.

-- 
Ben Hutchings
Hoare's Law of Large Problems:
        Inside every large problem is a small problem struggling to get out.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Thu, 17 Dec 2009 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 17 Dec 2009 01:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 561309@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: 561309@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#561309: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Wed, 16 Dec 2009 20:53:11 -0500
Ben Hutchings wrote:
> On Wed, 2009-12-16 at 11:49 -0500, Dave Witbrodt wrote:
>> When 2.6.32-truck (AMD64 here) was released, I tried switching to that
>> for my Debian backup kernel... but it hangs in boot, with some very
>> nasty backtracing.  It does print the warning about missing firmware,
>> but the boot will not finish -- unlike previous Debian kernels on this
>> same hardware.
> 
> Please send these boot messages.  A screenshot will do, but you might
> need to use the kernel parameter "vga=6" to avoid messages scrolling off
> the screen.

Will do.  I have to work tomorrow, so I may not be able to work on this 
until after work tomorrow or the next day.  The good news is:  I don't 
have to work again until January, so I will have plenty of time to work 
on this after tomorrow!  :)

I didn't mean to hijack Miles' bug report, here.  Let me know if the 
issue I am describing is different enough from his, and I (or you) can 
start a new report.  (Not that you want more _new_ bug reports....)


DW





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Thu, 17 Dec 2009 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 17 Dec 2009 14:33:06 GMT) Full text and rfc822 format available.

Message #30 received at 561309@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: 561309@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#561309: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Thu, 17 Dec 2009 09:32:26 -0500
[Message part 1 (text/plain, inline)]
Ben Hutchings wrote:
> On Wed, 2009-12-16 at 11:49 -0500, Dave Witbrodt wrote:
> [...]
>> May I provide evidence to the contrary?
>>
>> I compile my own kernels, and use them exclusively unless some problem
>> arises which forces me to use another kernel.  Therefore, I keep a stock
>> Debian kernel installed and available via GRUB in case something bad
>> happens with my kernels.
>>
>> In the Fall I had to replace the motherboard on my desktop system, and
>> it uses r8169.  The Debian kernels for 2.6.30 and 2.6.31 will boot fine
>> on this hardware and provide perfectly working ethernet support.
>>
>> When 2.6.32-truck (AMD64 here) was released, I tried switching to that
>> for my Debian backup kernel... but it hangs in boot, with some very
>> nasty backtracing.  It does print the warning about missing firmware,
>> but the boot will not finish -- unlike previous Debian kernels on this
>> same hardware.
> [...]
> 
> Please send these boot messages.  A screenshot will do, but you might
> need to use the kernel parameter "vga=6" to avoid messages scrolling off
> the screen.

Found some time before work this morning.  Find the last series of 
messages attached, including the kernel oops.  I had to manually type 
this, so I apologize in advance for typos -- I did try to make 
corrections before rebooting, but no doubt I missed some stuff.

The kernel was still responsive after the oops, but just sat there at 
the last line you see.  The console was still processing keyboard input 
and Magic SysRq keys still worked.  The scroll buffer was not very large 
-- if you would like, I could boot again with some "fbcon" parameter 
magic and try to see if there was any more excitement happening before 
the final lines I was able to see.

Last time I tried this kernel, I seem to recall there was one or two 
other stack traces before the major oops we see here... but I have to 
admit that I don't relish the idea of manually typing in several hundred 
kB of boot message spew.  I'll at least take another look when I get 
home from work:  if I find anything, maybe I could just copy the parts 
that seem relevant?  (Or would you prefer as much exact transcription as 
possible?)


Dave W.

[desktop-bootlog.txt (text/plain, inline)]
ohci_hcd  0000:00:14.5: irq 18, iomem 0xfe7f6000
usb usb7: New USB device found, idVendor=1d6b, idProduct=0001
usb usb7: New USB device string: Mfr=3, Product=2, SerialNumber=1
usb usb7: Product: OHCI Host Controller
usb usb7: Manufactuerer: Linux 2.6.32-trunk-amd64 ohci_hcd
Usb usb7: SerialNumber: 0000:00:14.5
usb usb7: configuration #1 chosen from 1 choice
hub 7-0:1.0: USB hub found
hub 7-0:1.0: 2 ports detected
ata5: SATA link down (SStatus  0 SControl 300)
ata4: SATA link down (SStatus 0 SControl 300)
ata3: SATA link down (SStatus 0 SControl 300)
ata6: SATA link down (SStatus 0 SControl 300)
ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata2.00: ATA-8: WDC WE5000AAKS-00V1A0,05.01D05, max UDMA/133
ata2.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
ata1.00: HPA detected: current 293044655, native 293046768
ata2.00: configured for UDMA/133
ata1.00: ATA7: WDC WD1500ADFD-00NLR1, 20.07P20, max UDMA/133
ata1.00: 293044655 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
ata1.00: configured for UDMA/133
scsi 0:0:0:0: Direct-Access     ATA      WDC WD1500ADFD-0 20.0 PQ: 0 ANSI: 5
scsi 1:0:0:0: Direct-Access     ATA      WDC WD5000AAKS-0 05.0 PQ: 0 ANSI: 5
ide-cd driver 5.00
ide-cd: hda: ATA:I 48X DVD-ROM DVD-R/RAM
sd 0:0:0:0: [sda] 293044655 5112-byte logical blocks: (150 GB/139 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 1:00:0: [sb] 976773168 512-byte logical blocks: (500 GB/465 GiB)
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
sd 1:0:0:0: [sdb] Write Protect is off
sd 1:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 1:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO orFUA
 sda:
 sdb: CD-R/RW drive, 2048kB Cache
Uniform CD-ROM driver Revision: 3.20
 sda1, sda2 sda3 sda4 <
ide-cd: hdb: ATAPI 48X DVD-ROM drive, 256kB Cache
 sdb1 sdb2 sdb3
sd 1:0:0:0: [sdb] Attached SCSI disk
 sda5 sda6 sda7 sda8 sda9 sda10 >
sd 0:0:0:0: [sda] Attached SCSI disk
usb 4-1: new full speed USB devices using ohci_hcd and address 2
usb 4-1: New USB device found, idVendor=03f0, idProduct=3404
usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 4-1: product: deskjet 6122
usb 4-1: manufacturer: hp
usb 4-1: SerialNumber: MY4312B0B966
usb4-1: configuration #1 chosen from 1 choice
udevd[112]: worker [133] unexpectedly returned with status 0x0100
udevd[112]: worker [133] failed while handling '/devices/pci0000:00/0000:00:06.0/0000:03:00.0'
udevd[112]: worker [159] unexpectedly returned with status 0x0100
udevd[112]: worker [159] failed while handling '/devices/pci0000:00/0000:00:05.0/0000:02:00.0'
udevadm settle - timeout of 180 seconds reached, the event queue contains:
/sys/devices/pci0000:00/0000:00:05.0/0000:02:00.0/net/eth0 (713)
BUG: unable to handle kernel NULL pointer dereference at (null)
IP: [<ffffffff812487ba>] format_mac_addr+0x2d/0x88
PGD 22db3a067 PUD 22d9f6067 PMD 0
Oops: 0000 [#2] SMP
last sysfs file: /sys/devices/pci0000:00/0000:00:05.0/0000:02:00.0/net/eth0/address
CPU 3
Modules linked in: scsi_wait_scan(+) sd_mod ide_cd_mod crc_t10dif cdrom ide_pci_generic ata_generic ohci_hcd_ahci
firewire_ohci libata ehci_hcd firewire_core crc_itu_t atiixp ide_core r8169(+) mii usbcore nls_base scsi_mod button
thermal fan thermal_sys radeonfb fb_ddc i2c_algo_bit i2c_core
Pid: 115, comm: udevd Tainted: G      D    2.6.32-trunk-amd64 #1 MS-7577
PIP: 0010:[<ffffffff812487ba>] [<ffffffff812487ba>] _format_mac_addr+0x2d/0x88
RSP: 0018:ffff88022cb8de28  EFLAGS: 00010297
RAX: 0000000000000005 RBX: ffff88022c2a0000 RCX: 0000000000000006
RDX: 0000000000000000 RSI: 0000000000001000 RDI: ffff88022c2a0000
RBP: 0000000000000000 R08: ffff88022caae284 R09: ffff88022f064480
R10: 000000000012b47e R11: 0000000000000002 R12: 0000000000000000
R13: ffff88022c2a0000 R14: ffff88022c2a1000 R15: 0000000000000006
FS:  00007f33f5e9e790(0000) GS:ffff880028380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 000000022d469000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6:00000000ffff0ff0 DR7: 0000000000000400
Process udevd (pid:115, threadinfo ffff88022cb8c000, task ffff88022cae0e20)
Stack:
 0000000500000010 ffff88022ac10430 ffff88022c2a0000 ffff88022c2a0000
<0> ffffffff8146ec00 ffff88022cb8df50 ffff88022b71c440 ffffffff81248849
<0> 0000000000000000 ffff88022ac10430 ffff88022caae690 ffffffff81243dfd
Call Trace:
 [<ffffffff81248849>] ? sysfs_format_mac+0x19/0x3e
 [<ffffffff81243dfd>] ? show_address+0x3b/0x47
 [<ffffffff81208538>] ? dev_attr_show+0x1f/0x42
 [<ffffffff811393c3>] ? sysfs_read_file+0xa7/0x125
 [<ffffffff810e9d2a>] ? vfs_read+0xa6/0xff
 [<ffffffff810e9e3f>] ? sys_read+0x45/0x6e
 [<ffffffff81010ac2>] ? system_call_fastpath+0x16/0x1b
Code : 41 89 cf 48 63 f6 41 8d 47 ff 41 56 4c 8d 34 37 41 55 49 89 fd 41 54 49 89 d4 55 31 ed 53 48 89 fb 48 83 ec 08 89
44 24 04 eb 44 <41> 0f b6 0c 24 4c 89 f6 48 89 df 48 29 de31 c0 48 c7 c2 81 b2
RIP [<ffffffff812487ba>] _format_mac_addr+0x2d/0x88
 RSP <ffff88022cb8de28>
CR2: 0000000000000000
---[ end trace 8935dc3b974cbfec ]---
udevd[112]: worker [115] unexpectedly returned with status 0x0009
udevd[112]: worker[115] failed while handling '/devices/pci0000:00/0000:00:05.0/0000:02:00.0/net/eth0'

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Sat, 19 Dec 2009 00:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Dec 2009 00:00:04 GMT) Full text and rfc822 format available.

Message #35 received at 561309@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: 561309@bugs.debian.org
Subject: Same problem
Date: Fri, 18 Dec 2009 21:56:29 -0200
Hello,

I'd like to confirm this bug since I have exactly same situation. :-(

Cheers,

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Sat, 19 Dec 2009 00:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Dec 2009 00:30:02 GMT) Full text and rfc822 format available.

Message #40 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: 561309@bugs.debian.org
Subject: Re: firmware-linux-nonfree: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Sat, 19 Dec 2009 00:27:57 +0000
[Message part 1 (text/plain, inline)]
It seems RTL8168D version 1 (but not version 2) was previously supported
without the need for this firmware update (rtl8168d-1.fw).  So perhaps
the driver should carry on without it if it is missing.  Please try
applying the following patch, which implements that behaviour.

Ben.

diff -u b/drivers/net/r8169.c b/drivers/net/r8169.c
--- b/drivers/net/r8169.c
+++ b/drivers/net/r8169.c
@@ -1709,7 +1709,7 @@
 	rtl8168c_3_hw_phy_config(ioaddr);
 }
 
-static int rtl8168d_1_hw_phy_config(struct rtl8169_private *tp)
+static void rtl8168d_1_hw_phy_config(struct rtl8169_private *tp)
 {
 	static struct phy_reg phy_reg_init_0[] = {
 		{ 0x1f, 0x0001 },
@@ -1739,11 +1739,6 @@
 	};
 	void __iomem *ioaddr = tp->mmio_addr;
 	const struct firmware *fw;
-	int rc;
-
-	rc = request_firmware(&fw, "rtl8168d-1.fw", &tp->pci_dev->dev);
-	if (rc)
-		return rc;
 
 	rtl_phy_write(ioaddr, phy_reg_init_0, ARRAY_SIZE(phy_reg_init_0));
 
@@ -1801,15 +1796,15 @@
 	mdio_plus_minus(ioaddr, 0x02, 0x0100, 0x0600);
 	mdio_plus_minus(ioaddr, 0x03, 0x0000, 0xe000);
 
-	rtl_phy_write_fw(ioaddr, fw);
-
-	release_firmware(fw);
-	return 0;
+	if (request_firmware(&fw, "rtl8168d-1.fw", &tp->pci_dev->dev) == 0) {
+		rtl_phy_write_fw(ioaddr, fw);
+		release_firmware(fw);
+	}
 }
 
 MODULE_FIRMWARE("rtl8168d-1.fw");
 
-static int rtl8168d_2_hw_phy_config(struct rtl8169_private *tp)
+static void rtl8168d_2_hw_phy_config(struct rtl8169_private *tp)
 {
 	static struct phy_reg phy_reg_init_0[] = {
 		{ 0x1f, 0x0001 },
@@ -1838,11 +1833,6 @@
 	};
 	void __iomem *ioaddr = tp->mmio_addr;
 	const struct firmware *fw;
-	int rc;
-
-	rc = request_firmware(&fw, "rtl8168d-2.fw", &tp->pci_dev->dev);
-	if (rc)
-		return rc;
 
 	rtl_phy_write(ioaddr, phy_reg_init_0, ARRAY_SIZE(phy_reg_init_0));
 
@@ -1896,10 +1886,10 @@
 	mdio_write(ioaddr, 0x1f, 0x0002);
 	mdio_patch(ioaddr, 0x0f, 0x0017);
 
-	rtl_phy_write_fw(ioaddr, fw);
-
-	release_firmware(fw);
-	return 0;
+	if (request_firmware(&fw, "rtl8168d-2.fw", &tp->pci_dev->dev) == 0) {
+		rtl_phy_write_fw(ioaddr, fw);
+		release_firmware(fw);
+	}
 }
 
 MODULE_FIRMWARE("rtl8168d-2.fw");
@@ -2039,9 +2029,11 @@
 		rtl8168cp_2_hw_phy_config(ioaddr);
 		break;
 	case RTL_GIGA_MAC_VER_25:
-		return rtl8168d_1_hw_phy_config(tp);
+		rtl8168d_1_hw_phy_config(tp);
+		break;
 	case RTL_GIGA_MAC_VER_26:
-		return rtl8168d_2_hw_phy_config(tp);
+		rtl8168d_2_hw_phy_config(tp);
+		break;
 	case RTL_GIGA_MAC_VER_27:
 		rtl8168d_3_hw_phy_config(ioaddr);
 		break;
--- END ---

-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Sat, 19 Dec 2009 02:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Dec 2009 02:21:02 GMT) Full text and rfc822 format available.

Message #45 received at 561309@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: debian-kernel@lists.debian.org
Cc: 561309@bugs.debian.org
Subject: Re: Bug#561309: firmware-linux-nonfree: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Sat, 19 Dec 2009 03:19:29 +0100
Hi

On Saturday 19 December 2009, Ben Hutchings wrote:
> It seems RTL8168D version 1 (but not version 2) was previously supported
> without the need for this firmware update (rtl8168d-1.fw).  So perhaps
> the driver should carry on without it if it is missing.  Please try
> applying the following patch, which implements that behaviour.
[...]

This works for me, although it delays the system boot for 60s - waiting 
for the non-existing firmware file to appear. Maybe the module should 
additionally complain if the firmware couldn't be found or allow some other
method to avoid waiting for a non-existing firmware image?

$ dmesg | grep -i -e firmware -e eth0 -e 8169 -e 8168
r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
r8169 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
r8169 0000:01:00.0: setting latency timer to 64
r8169 0000:01:00.0: irq 28 for MSI/MSI-X
eth0: RTL8168d/8111d at 0xf7c6e000, 00:1c:c0:ee:22:88, XID 081000c0 IRQ 28
r8169 0000:01:00.0: firmware: requesting rtl8168d-1.fw
r8169: eth0: link up
r8169: eth0: link up
eth0: no IPv6 routers present

[...]
> diff -u b/drivers/net/r8169.c b/drivers/net/r8169.c
> --- b/drivers/net/r8169.c
> +++ b/drivers/net/r8169.c
[...]
> @@ -1801,15 +1796,15 @@
>  	mdio_plus_minus(ioaddr, 0x02, 0x0100, 0x0600);
>  	mdio_plus_minus(ioaddr, 0x03, 0x0000, 0xe000);
>  
> -	rtl_phy_write_fw(ioaddr, fw);
> -
> -	release_firmware(fw);
> -	return 0;
> +	if (request_firmware(&fw, "rtl8168d-1.fw", &tp->pci_dev->dev) == 0) {
> +		rtl_phy_write_fw(ioaddr, fw);
> +		release_firmware(fw);
	} else {
		printk(KERN_INFO "%s: "
		       "Failed to load rtl8168d-1.fw.\n", dev->name);
> +	}
>  }
>  
>  MODULE_FIRMWARE("rtl8168d-1.fw");
>  
> -static int rtl8168d_2_hw_phy_config(struct rtl8169_private *tp)
> +static void rtl8168d_2_hw_phy_config(struct rtl8169_private *tp)
>  {
>  	static struct phy_reg phy_reg_init_0[] = {
>  		{ 0x1f, 0x0001 },
[...]
perhaps?

Would it be possible to provide some kind of firmware-cutter, to let the 
user generate the required firmwares from a vanilla kernel checkout on the 
target system, if needed (and if no copyright statement can be achieved)?

Regards
	Stefan Lippers-Hollmann




Information forwarded to debian-bugs-dist@lists.debian.org, dawitbro@sbcglobal.net, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package firmware-linux-nonfree. (Sat, 19 Dec 2009 05:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Extra info received and forwarded to list. Copy sent to dawitbro@sbcglobal.net, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Dec 2009 05:54:04 GMT) Full text and rfc822 format available.

Message #50 received at 561309@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: Debian Bug Tracking System <561309@bugs.debian.org>
Subject: Re: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Sat, 19 Dec 2009 00:52:59 -0500
Package: firmware-linux-nonfree
Version: 0.22
Severity: normal


Ben, your patch works for me.  Will this be made part of the Debian
2.6.32 kernel, or were you merely experimenting?  (It would really help
if the KT used this, unless/until the r8169 firmware can be used in
Debian.)

I don't seem to get the 60 sec delay that Stefan referred to.  (Only
delay I experienced was that it takes 5 times longer to build one of
these kitchen-sink kernels than with my carefully crafted custom
config!  ;)


Thanks for investigating this,
Dave W.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-0git091206.desktop.vesa (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

firmware-linux-nonfree depends on no packages.

firmware-linux-nonfree recommends no packages.

Versions of packages firmware-linux-nonfree suggests:
ii  initramfs-tools      0.93.4              tools for generating an initramfs
ii  linux-image-2.6.31-1 2.6.31-2            Linux 2.6.31 for 64-bit PCs
ii  linux-image-2.6.32 [ 2.6.32-10.00.Custom Linux kernel binary image for vers
ii  linux-image-2.6.32-0 daw06               Linux kernel binary image for vers

-- no debconf information




Bug reassigned from package 'firmware-linux-nonfree' to 'linux-2.6'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 21 Dec 2009 01:36:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions firmware-nonfree/0.21 and firmware-nonfree/0.22. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 21 Dec 2009 01:36:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32~rc8-1~experimental.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 21 Dec 2009 01:36:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 21 Dec 2009 01:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Mon, 21 Dec 2009 02:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 21 Dec 2009 02:42:08 GMT) Full text and rfc822 format available.

Message #63 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dave Witbrodt <dawitbro@sbcglobal.net>, 561309@bugs.debian.org
Subject: Re: Bug#561309: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Mon, 21 Dec 2009 02:35:59 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2009-12-19 at 00:52 -0500, Dave Witbrodt wrote:
> Package: firmware-linux-nonfree
> Version: 0.22
> Severity: normal
> 
> 
> Ben, your patch works for me.  Will this be made part of the Debian
> 2.6.32 kernel, or were you merely experimenting?  (It would really help
> if the KT used this, unless/until the r8169 firmware can be used in
> Debian.)
[...]

This patch will be in the next version (2.6.32-3).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Mon, 21 Dec 2009 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 21 Dec 2009 02:57:03 GMT) Full text and rfc822 format available.

Message #68 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dave Witbrodt <dawitbro@sbcglobal.net>, 561309@bugs.debian.org
Subject: Re: Bug#561309: needs firmware for module r8169 (/rtl8168d-{1, 2}.fw)
Date: Mon, 21 Dec 2009 02:51:10 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2009-12-17 at 09:32 -0500, Dave Witbrodt wrote:
[...]
> Found some time before work this morning.  Find the last series of 
> messages attached, including the kernel oops.  I had to manually type 
> this, so I apologize in advance for typos -- I did try to make 
> corrections before rebooting, but no doubt I missed some stuff.
[...]

This bug will also be fixed by the change to make firmware optional.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Mon, 21 Dec 2009 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tom Marble <tmarble@info9.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 21 Dec 2009 04:51:03 GMT) Full text and rfc822 format available.

Message #73 received at 561309@bugs.debian.org (full text, mbox):

From: Tom Marble <tmarble@info9.net>
To: 561309@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Cc: Tom Marble <tmarble@info9.net>
Subject: Re: firmware-linux-nonfree: needs firmware for module r8169
Date: Sun, 20 Dec 2009 22:47:15 -0600
Ben (et al):

Your patch (with Stefan's addition, replacing dev->name with "r8169") also worked
for me on an Intel i7 920 system (amd64) running unstable (w/o the firmware).

Dec 20 18:39:08 octane kernel: [    1.100454] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
Dec 20 18:39:08 octane kernel: [    1.100471] r8169 0000:06:00.0: PCI INT A -> GSI 18 (level, low) -> IRQ 18
Dec 20 18:39:08 octane kernel: [    1.100960] eth0: RTL8168d/8111d at 0xffffc90000c7a000, 00:1f:bc:08:c4:16, XID 081000c0 IRQ 30
Dec 20 18:39:08 octane kernel: [    1.105168] r8169 0000:06:00.0: firmware: requesting rtl8168d-1.fw
Dec 20 18:39:08 octane kernel: [    1.106433] Failed to load rtl8168d-1.fw.
...
Dec 20 18:39:08 octane kernel: [   12.736957] r8169: eth0: link up

This NIC is onboard the mobo: EVGA X58 SLI LE
http://www.evga.com/products/moreInfo.asp?pn=141-BL-E757-TR&family=Motherboard%20Family

Thanks!

--Tom




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 26 Dec 2009 16:18:08 GMT) Full text and rfc822 format available.

Notification sent to Miles Bader <miles@gnu.org>:
Bug acknowledged by developer. (Sat, 26 Dec 2009 16:18:08 GMT) Full text and rfc822 format available.

Message #78 received at 561309-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 561309-close@bugs.debian.org
Subject: Bug#561309: fixed in linux-2.6 2.6.32-3
Date: Sat, 26 Dec 2009 16:09:32 +0000
Source: linux-2.6
Source-Version: 2.6.32-3

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-3_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-3_all.deb
linux-2.6_2.6.32-3.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-3.diff.gz
linux-2.6_2.6.32-3.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-3.dsc
linux-doc-2.6.32_2.6.32-3_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-3_all.deb
linux-headers-2.6.32-trunk-486_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-486_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-686_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-686_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-all-i386_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-all-i386_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-all_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-all_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-amd64_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-amd64_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-common-vserver_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-common-vserver_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-common_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-common_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
linux-headers-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
linux-image-2.6.32-trunk-486_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-486_2.6.32-3_i386.deb
linux-image-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
linux-image-2.6.32-trunk-686_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-686_2.6.32-3_i386.deb
linux-image-2.6.32-trunk-amd64_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-amd64_2.6.32-3_i386.deb
linux-image-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
linux-image-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
linux-libc-dev_2.6.32-3_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-3_i386.deb
linux-manual-2.6.32_2.6.32-3_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-3_all.deb
linux-patch-debian-2.6.32_2.6.32-3_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-3_all.deb
linux-source-2.6.32_2.6.32-3_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-3_all.deb
linux-support-2.6.32-trunk_2.6.32-3_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-trunk_2.6.32-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561309@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 24 Dec 2009 04:28:55 +0000
Source: linux-2.6
Binary: linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-trunk linux-base linux-libc-dev linux-headers-2.6.32-trunk-all linux-headers-2.6.32-trunk-all-alpha linux-headers-2.6.32-trunk-common linux-image-2.6.32-trunk-alpha-generic linux-headers-2.6.32-trunk-alpha-generic linux-image-2.6.32-trunk-alpha-smp linux-headers-2.6.32-trunk-alpha-smp linux-image-2.6.32-trunk-alpha-legacy linux-headers-2.6.32-trunk-alpha-legacy linux-headers-2.6.32-trunk-all-amd64 linux-image-2.6.32-trunk-amd64 linux-headers-2.6.32-trunk-amd64 linux-headers-2.6.32-trunk-common-vserver linux-image-2.6.32-trunk-vserver-amd64 linux-headers-2.6.32-trunk-vserver-amd64 linux-headers-2.6.32-trunk-all-armel linux-image-2.6.32-trunk-iop32x linux-headers-2.6.32-trunk-iop32x linux-image-2.6.32-trunk-ixp4xx linux-headers-2.6.32-trunk-ixp4xx linux-image-2.6.32-trunk-kirkwood linux-headers-2.6.32-trunk-kirkwood linux-image-2.6.32-trunk-orion5x
 linux-headers-2.6.32-trunk-orion5x linux-image-2.6.32-trunk-versatile linux-headers-2.6.32-trunk-versatile linux-headers-2.6.32-trunk-all-hppa linux-image-2.6.32-trunk-parisc linux-headers-2.6.32-trunk-parisc linux-image-2.6.32-trunk-parisc-smp linux-headers-2.6.32-trunk-parisc-smp linux-image-2.6.32-trunk-parisc64 linux-headers-2.6.32-trunk-parisc64 linux-image-2.6.32-trunk-parisc64-smp linux-headers-2.6.32-trunk-parisc64-smp linux-headers-2.6.32-trunk-all-i386 linux-image-2.6.32-trunk-486 linux-headers-2.6.32-trunk-486 linux-image-2.6.32-trunk-686 linux-headers-2.6.32-trunk-686 linux-image-2.6.32-trunk-686-bigmem linux-headers-2.6.32-trunk-686-bigmem linux-image-2.6.32-trunk-vserver-686 linux-headers-2.6.32-trunk-vserver-686 linux-image-2.6.32-trunk-vserver-686-bigmem linux-headers-2.6.32-trunk-vserver-686-bigmem linux-headers-2.6.32-trunk-all-ia64 linux-image-2.6.32-trunk-itanium linux-headers-2.6.32-trunk-itanium linux-image-2.6.32-trunk-mckinley linux-headers-2.6.32-trunk-mckinley
 linux-image-2.6.32-trunk-vserver-itanium linux-headers-2.6.32-trunk-vserver-itanium linux-image-2.6.32-trunk-vserver-mckinley linux-headers-2.6.32-trunk-vserver-mckinley linux-headers-2.6.32-trunk-all-m68k linux-image-2.6.32-trunk-amiga linux-headers-2.6.32-trunk-amiga linux-image-2.6.32-trunk-atari linux-headers-2.6.32-trunk-atari linux-image-2.6.32-trunk-bvme6000 linux-headers-2.6.32-trunk-bvme6000 linux-image-2.6.32-trunk-mac linux-headers-2.6.32-trunk-mac linux-image-2.6.32-trunk-mvme147 linux-headers-2.6.32-trunk-mvme147 linux-image-2.6.32-trunk-mvme16x linux-headers-2.6.32-trunk-mvme16x linux-headers-2.6.32-trunk-all-mips linux-image-2.6.32-trunk-r4k-ip22 linux-headers-2.6.32-trunk-r4k-ip22 linux-image-2.6.32-trunk-r5k-ip32 linux-headers-2.6.32-trunk-r5k-ip32 linux-image-2.6.32-trunk-sb1-bcm91250a linux-headers-2.6.32-trunk-sb1-bcm91250a linux-image-2.6.32-trunk-sb1a-bcm91480b linux-headers-2.6.32-trunk-sb1a-bcm91480b linux-image-2.6.32-trunk-4kc-malta linux-headers-2.6.32-trunk-4kc-malta
 linux-image-2.6.32-trunk-5kc-malta linux-headers-2.6.32-trunk-5kc-malta linux-headers-2.6.32-trunk-all-mipsel linux-image-2.6.32-trunk-r5k-cobalt linux-headers-2.6.32-trunk-r5k-cobalt linux-headers-2.6.32-trunk-all-powerpc linux-image-2.6.32-trunk-powerpc linux-headers-2.6.32-trunk-powerpc linux-image-2.6.32-trunk-powerpc-smp linux-headers-2.6.32-trunk-powerpc-smp linux-image-2.6.32-trunk-powerpc64 linux-headers-2.6.32-trunk-powerpc64 linux-image-2.6.32-trunk-vserver-powerpc linux-headers-2.6.32-trunk-vserver-powerpc linux-image-2.6.32-trunk-vserver-powerpc64 linux-headers-2.6.32-trunk-vserver-powerpc64 linux-headers-2.6.32-trunk-all-s390 linux-image-2.6.32-trunk-s390x linux-headers-2.6.32-trunk-s390x linux-image-2.6.32-trunk-s390x-tape linux-image-2.6.32-trunk-vserver-s390x linux-headers-2.6.32-trunk-vserver-s390x linux-headers-2.6.32-trunk-all-sparc linux-image-2.6.32-trunk-sparc64 linux-headers-2.6.32-trunk-sparc64 linux-image-2.6.32-trunk-sparc64-smp linux-headers-2.6.32-trunk-sparc64-smp
 linux-image-2.6.32-trunk-vserver-sparc64 linux-headers-2.6.32-trunk-vserver-sparc64 linux-headers-2.6.32-trunk-all-sparc64
Architecture: all i386 source
Version: 2.6.32-3
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 561309 561589 562046 562205
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-trunk-486 - Header files for Linux 2.6.32-trunk-486
 linux-headers-2.6.32-trunk-4kc-malta - Header files for Linux 2.6.32-trunk-4kc-malta
 linux-headers-2.6.32-trunk-5kc-malta - Header files for Linux 2.6.32-trunk-5kc-malta
 linux-headers-2.6.32-trunk-686-bigmem - Header files for Linux 2.6.32-trunk-686-bigmem
 linux-headers-2.6.32-trunk-686 - Header files for Linux 2.6.32-trunk-686
 linux-headers-2.6.32-trunk-all - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-alpha - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-amd64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-armel - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-hppa - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-i386 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-ia64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-m68k - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-mips - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-mipsel - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-powerpc - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-s390 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-sparc64 - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-all-sparc - All header files for Linux 2.6.32
 linux-headers-2.6.32-trunk-alpha-generic - Header files for Linux 2.6.32-trunk-alpha-generic
 linux-headers-2.6.32-trunk-alpha-legacy - Header files for Linux 2.6.32-trunk-alpha-legacy
 linux-headers-2.6.32-trunk-alpha-smp - Header files for Linux 2.6.32-trunk-alpha-smp
 linux-headers-2.6.32-trunk-amd64 - Header files for Linux 2.6.32-trunk-amd64
 linux-headers-2.6.32-trunk-amiga - Header files for Linux 2.6.32-trunk-amiga
 linux-headers-2.6.32-trunk-atari - Header files for Linux 2.6.32-trunk-atari
 linux-headers-2.6.32-trunk-bvme6000 - Header files for Linux 2.6.32-trunk-bvme6000
 linux-headers-2.6.32-trunk-common - Common header files for Linux 2.6.32-trunk
 linux-headers-2.6.32-trunk-common-vserver - Common header files for Linux 2.6.32-trunk-vserver
 linux-headers-2.6.32-trunk-iop32x - Header files for Linux 2.6.32-trunk-iop32x
 linux-headers-2.6.32-trunk-itanium - Header files for Linux 2.6.32-trunk-itanium
 linux-headers-2.6.32-trunk-ixp4xx - Header files for Linux 2.6.32-trunk-ixp4xx
 linux-headers-2.6.32-trunk-kirkwood - Header files for Linux 2.6.32-trunk-kirkwood
 linux-headers-2.6.32-trunk-mac - Header files for Linux 2.6.32-trunk-mac
 linux-headers-2.6.32-trunk-mckinley - Header files for Linux 2.6.32-trunk-mckinley
 linux-headers-2.6.32-trunk-mvme147 - Header files for Linux 2.6.32-trunk-mvme147
 linux-headers-2.6.32-trunk-mvme16x - Header files for Linux 2.6.32-trunk-mvme16x
 linux-headers-2.6.32-trunk-orion5x - Header files for Linux 2.6.32-trunk-orion5x
 linux-headers-2.6.32-trunk-parisc64 - Header files for Linux 2.6.32-trunk-parisc64
 linux-headers-2.6.32-trunk-parisc64-smp - Header files for Linux 2.6.32-trunk-parisc64-smp
 linux-headers-2.6.32-trunk-parisc - Header files for Linux 2.6.32-trunk-parisc
 linux-headers-2.6.32-trunk-parisc-smp - Header files for Linux 2.6.32-trunk-parisc-smp
 linux-headers-2.6.32-trunk-powerpc64 - Header files for Linux 2.6.32-trunk-powerpc64
 linux-headers-2.6.32-trunk-powerpc - Header files for Linux 2.6.32-trunk-powerpc
 linux-headers-2.6.32-trunk-powerpc-smp - Header files for Linux 2.6.32-trunk-powerpc-smp
 linux-headers-2.6.32-trunk-r4k-ip22 - Header files for Linux 2.6.32-trunk-r4k-ip22
 linux-headers-2.6.32-trunk-r5k-cobalt - Header files for Linux 2.6.32-trunk-r5k-cobalt
 linux-headers-2.6.32-trunk-r5k-ip32 - Header files for Linux 2.6.32-trunk-r5k-ip32
 linux-headers-2.6.32-trunk-s390x - Header files for Linux 2.6.32-trunk-s390x
 linux-headers-2.6.32-trunk-sb1a-bcm91480b - Header files for Linux 2.6.32-trunk-sb1a-bcm91480b
 linux-headers-2.6.32-trunk-sb1-bcm91250a - Header files for Linux 2.6.32-trunk-sb1-bcm91250a
 linux-headers-2.6.32-trunk-sparc64 - Header files for Linux 2.6.32-trunk-sparc64
 linux-headers-2.6.32-trunk-sparc64-smp - Header files for Linux 2.6.32-trunk-sparc64-smp
 linux-headers-2.6.32-trunk-versatile - Header files for Linux 2.6.32-trunk-versatile
 linux-headers-2.6.32-trunk-vserver-686-bigmem - Header files for Linux 2.6.32-trunk-vserver-686-bigmem
 linux-headers-2.6.32-trunk-vserver-686 - Header files for Linux 2.6.32-trunk-vserver-686
 linux-headers-2.6.32-trunk-vserver-amd64 - Header files for Linux 2.6.32-trunk-vserver-amd64
 linux-headers-2.6.32-trunk-vserver-itanium - Header files for Linux 2.6.32-trunk-vserver-itanium
 linux-headers-2.6.32-trunk-vserver-mckinley - Header files for Linux 2.6.32-trunk-vserver-mckinley
 linux-headers-2.6.32-trunk-vserver-powerpc64 - Header files for Linux 2.6.32-trunk-vserver-powerpc64
 linux-headers-2.6.32-trunk-vserver-powerpc - Header files for Linux 2.6.32-trunk-vserver-powerpc
 linux-headers-2.6.32-trunk-vserver-s390x - Header files for Linux 2.6.32-trunk-vserver-s390x
 linux-headers-2.6.32-trunk-vserver-sparc64 - Header files for Linux 2.6.32-trunk-vserver-sparc64
 linux-image-2.6.32-trunk-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-trunk-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-trunk-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-trunk-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-trunk-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-trunk-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-trunk-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-trunk-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-trunk-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-trunk-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-trunk-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-trunk-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-trunk-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-trunk-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-trunk-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-trunk-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-trunk-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-trunk-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-trunk-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-trunk-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-trunk-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-trunk-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-trunk-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-trunk-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-trunk-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-trunk-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-trunk-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-trunk-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-trunk-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-trunk-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-trunk-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-trunk-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-trunk-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-trunk-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-trunk-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-trunk-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-trunk-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-trunk-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-trunk-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-trunk-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-trunk-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-trunk - Support files for Linux 2.6.32
Changes: 
 linux-2.6 (2.6.32-3) unstable; urgency=high
 .
   * The "Not a Suitable Christmas Present" release
 .
   [ Martin Michlmayr ]
   * [armel/orion5x] Build MTD_CFI_AMDSTD into the kernel again since
     it's needed on the D-Link DNS-323 (thanks Manuel Roeder).
     (Closes: #562205)
 .
   [ dann frazier ]
   * Input: ALPS - add support for touchpads with 4-directional button
   * Input: ALPS - add interleaved protocol support (Dell E6x00 series)
     (Closes: #561589)
   * Re-enable vserver
 .
   [ Ben Hutchings ]
   * sfc: Apply changes from 2.6.33-rc1 adding support for SFC9000 family
   * Add stable release 2.6.32.2:
     - KVM: x86 emulator: limit instructions to 15 bytes (CVE-2009-4031)
     - hfs: fix a potential buffer overflow (CVE-2009-4020)
   * radeon: fix crtc vblank update for r600 (regression in 2.6.32.2)
   * ia64: Include <linux/personality.h> header in <asm/fcntl.h>; fixes
     FTBFS
   * r8169: Allow RTL8168D v1 and v2 to be used without firmware files
     (Closes: #561309)
   * Enable vmxnet3 (VMware guest paravirt net driver) (Closes: #562046)
Checksums-Sha1: 
 eb9dc2c2bfcb44fa786f97c83b29a7ee4753f472 6461 linux-2.6_2.6.32-3.dsc
 71b9204c87ff7d54022ccea4455ba4877f5072b8 956274 linux-2.6_2.6.32-3.diff.gz
 861f596955cbd8a207ce77339e990e01a6b0fbd9 132956 linux-support-2.6.32-trunk_2.6.32-3_all.deb
 bf504eb42aa8ab83cf745bb5ccb46a5996dfe5e7 697550 linux-patch-debian-2.6.32_2.6.32-3_all.deb
 d67023d49562792e1b04d9c01f8142b5813bafcb 122942 firmware-linux-free_2.6.32-3_all.deb
 07413f8c96c3e95044c4ecd18f58eba30b6a647f 63766722 linux-source-2.6.32_2.6.32-3_all.deb
 a264dd40ea6a298d5afe767367a2eff75d5ef41d 6011464 linux-doc-2.6.32_2.6.32-3_all.deb
 2cd8839ae9c9a74d9b251a1cc92355ad7c62507e 2699904 linux-manual-2.6.32_2.6.32-3_all.deb
 7379202cbd95d789f925d470c30c3150d4a87f81 462532 linux-headers-2.6.32-trunk-486_2.6.32-3_i386.deb
 88a180c0dd4b3819554550c98602aede0fee9a2c 25609614 linux-image-2.6.32-trunk-486_2.6.32-3_i386.deb
 9b8ad13683fab668d37db242553d9cb6aa56dcf5 464090 linux-headers-2.6.32-trunk-686_2.6.32-3_i386.deb
 4f359b35dc861b7535a41f57fd9f3e9f66889b4e 25739600 linux-image-2.6.32-trunk-686_2.6.32-3_i386.deb
 990e178b4d21a8b2ac73fb85e31f4add6faf3ff0 464238 linux-headers-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
 a35b2d1300063de3f1f54cc1ad46ff26bc359b7a 25864582 linux-image-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
 69e2176410c56eea62fdde967cd37b516fb17e29 455660 linux-headers-2.6.32-trunk-amd64_2.6.32-3_i386.deb
 92380ce59ccfd858f4e28e34ae15a5c35adb3edb 26726426 linux-image-2.6.32-trunk-amd64_2.6.32-3_i386.deb
 edec29ff198ec570c3f13f561b68ee5fd961be61 3830516 linux-headers-2.6.32-trunk-common_2.6.32-3_i386.deb
 fa3c3b8343ce70c0cc8d7b1fa31161e3b584225a 117952 linux-headers-2.6.32-trunk-all_2.6.32-3_i386.deb
 97afbfe31d7eae7a45229d27ec6baffb25b08128 118000 linux-headers-2.6.32-trunk-all-i386_2.6.32-3_i386.deb
 8a742e7f20fec2bdd871f3e11594e37623ab41a4 853102 linux-libc-dev_2.6.32-3_i386.deb
 080267087acec6ba5609fcef95d49fc8463721d2 462918 linux-headers-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
 cc8573d671acd415faebe339907133b15619a707 25817124 linux-image-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
 9f1a7bb3d7df97fce6504d76647a2ada3502dad0 25823062 linux-image-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
 bed94c78f0ded81bb8980dc8487ce05f44640e88 465370 linux-headers-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
 eb1a505d505a8d4a850ebde406a1d6a12234ab37 3863632 linux-headers-2.6.32-trunk-common-vserver_2.6.32-3_i386.deb
Checksums-Sha256: 
 e1b32f118c043aab75781588db7071f885157c6dafc106910ee541643627bc9d 6461 linux-2.6_2.6.32-3.dsc
 01c00f59949da7e2ba1a0c23a8dcb27b6b20ff9d156856e22ca30296280e3e14 956274 linux-2.6_2.6.32-3.diff.gz
 712a174448a7d2e3ffadf9bd21a622aaa0078ae268fc1cff29e7e101fe9a9034 132956 linux-support-2.6.32-trunk_2.6.32-3_all.deb
 862afd9694f8e4cb3891a4f507baa4f708e96f3be3e414003935324621c752d6 697550 linux-patch-debian-2.6.32_2.6.32-3_all.deb
 da7f1f9b3dd87fe644c0731c44a8ee2bd6ffea2c055bea4483114b69181d995f 122942 firmware-linux-free_2.6.32-3_all.deb
 14a49fd6a722bb32a4fffc7355d63cfbb958ad9942fc64593aafc18df28a1e0d 63766722 linux-source-2.6.32_2.6.32-3_all.deb
 c6ded6e16c4b542604a2ac855c806ce90f9dea72bdf843b179a52f989bfbb4af 6011464 linux-doc-2.6.32_2.6.32-3_all.deb
 b335869fa3e16f267ae7ecfbbefa8074277a069a9df0ebe142176e6da68dbf01 2699904 linux-manual-2.6.32_2.6.32-3_all.deb
 d5100c20759e0c976bdb15c08b8114a250c8f1362653703932150077887a2b69 462532 linux-headers-2.6.32-trunk-486_2.6.32-3_i386.deb
 839fac97b61fa92b41771e2d229a7d100d2d7d946f12a2d516a96496a40422de 25609614 linux-image-2.6.32-trunk-486_2.6.32-3_i386.deb
 9026b5b56db5f1c359d927b586768e38df4786cf5f053d6bc6454d6dd90d8d53 464090 linux-headers-2.6.32-trunk-686_2.6.32-3_i386.deb
 45ea37713623be0c2d5653a09e887fc9408ee24ba26a2cb05eed37ebe0b6c7ce 25739600 linux-image-2.6.32-trunk-686_2.6.32-3_i386.deb
 ac6121ca72db9bde6c956b30a7f3fee8983dbe0866c9bc9eaaccdb9630f4ec2d 464238 linux-headers-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
 e421dbd822e3ee7bfb1377c387fced99106d6152d3ceeaf78afcf9ba50ee0461 25864582 linux-image-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
 8ec67574f836dd15a8b17f36396f65e27eeb2694a9d295d1d0f52787cff3080b 455660 linux-headers-2.6.32-trunk-amd64_2.6.32-3_i386.deb
 9193c6cef1047c7fc9a58a1d73eb96fd68df8faad635c47a4117b986260ee50f 26726426 linux-image-2.6.32-trunk-amd64_2.6.32-3_i386.deb
 d21af2ae2c6263cffa68c3c380e137a30c47703c11142106457df469dcbad7e4 3830516 linux-headers-2.6.32-trunk-common_2.6.32-3_i386.deb
 75b8fbe96bdf9697c556bf65d143ec45a1960c63df586abd672f21842a36e930 117952 linux-headers-2.6.32-trunk-all_2.6.32-3_i386.deb
 e9a3fc1ee15f1fc0625a570cf57b018498d1be1789d464bea2d91876edecf070 118000 linux-headers-2.6.32-trunk-all-i386_2.6.32-3_i386.deb
 239c9d1445ecfa3497e905e9bb3b51fd537fb9bfcbd73ffb31af1f929cbda5e7 853102 linux-libc-dev_2.6.32-3_i386.deb
 37798017a960a50b237e4f15cbe4eb9e74ac7344c4731fdc659426f016d0a039 462918 linux-headers-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
 8d64aeb89d48d5fcd1e868eed913723f0c0305ee5236fc06213b2d05f988a553 25817124 linux-image-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
 201c2cc68547e7a1ba0fbb4b91a2e6d20cf9a59783bba3d2aed22ae50ec63515 25823062 linux-image-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
 a2a8115546d5aa3b45eb426c38bfacd24d627a9962efcb4861a4d257ce455ccf 465370 linux-headers-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
 1be5ab999f907fd30209b63a05b31e0ab067bca547f1028af454c7f23dc32d52 3863632 linux-headers-2.6.32-trunk-common-vserver_2.6.32-3_i386.deb
Files: 
 acbcbb7592fa98f841de1119ef15697d 6461 kernel optional linux-2.6_2.6.32-3.dsc
 7a5e068fc2cd6ad9bd7443a9d41f700d 956274 kernel optional linux-2.6_2.6.32-3.diff.gz
 4b4f1be89aed43f2a8159916e871c070 132956 devel optional linux-support-2.6.32-trunk_2.6.32-3_all.deb
 b3e2010377f95e437af5340d99ad4ee2 697550 kernel optional linux-patch-debian-2.6.32_2.6.32-3_all.deb
 d1213bf2046003fb1f61be15102c7c61 122942 kernel optional firmware-linux-free_2.6.32-3_all.deb
 36165d94e9d500b0f3a1fc67bb77375e 63766722 kernel optional linux-source-2.6.32_2.6.32-3_all.deb
 6b113e0051dff94bd6ad702ec880de96 6011464 doc optional linux-doc-2.6.32_2.6.32-3_all.deb
 1eb4676e8a8435215eb68e6cadca39fe 2699904 doc optional linux-manual-2.6.32_2.6.32-3_all.deb
 760ff0b7d2b8406ff54baebd38d1834b 462532 kernel optional linux-headers-2.6.32-trunk-486_2.6.32-3_i386.deb
 bd937e0141fe7b489251aaa64369b4d8 25609614 kernel optional linux-image-2.6.32-trunk-486_2.6.32-3_i386.deb
 26f2f29f0f4e65ea5e80ca51a8b913d3 464090 kernel optional linux-headers-2.6.32-trunk-686_2.6.32-3_i386.deb
 995c03be9dc1f39e3df1db779429213c 25739600 kernel optional linux-image-2.6.32-trunk-686_2.6.32-3_i386.deb
 a538f370a6012c90ebbbaf66103438bd 464238 kernel optional linux-headers-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
 fc977417b84d1071c364689efb5906da 25864582 kernel optional linux-image-2.6.32-trunk-686-bigmem_2.6.32-3_i386.deb
 0691ca30a91ab3f5ab6a7db9c722808e 455660 kernel optional linux-headers-2.6.32-trunk-amd64_2.6.32-3_i386.deb
 26c25dde21a9be8d550e6b0eff0d73e1 26726426 kernel optional linux-image-2.6.32-trunk-amd64_2.6.32-3_i386.deb
 00f7b162346cd92fca19ca6f91af5e9e 3830516 kernel optional linux-headers-2.6.32-trunk-common_2.6.32-3_i386.deb
 fc631f9559cae4986902573eaf3f3252 117952 kernel optional linux-headers-2.6.32-trunk-all_2.6.32-3_i386.deb
 1867c32b34f74a5f723082e8ac48f968 118000 kernel optional linux-headers-2.6.32-trunk-all-i386_2.6.32-3_i386.deb
 397ce6bf59b85a66abdc24a789edcc6e 853102 devel optional linux-libc-dev_2.6.32-3_i386.deb
 0cd5ac3a54d860fefeb8663d370969ec 462918 kernel optional linux-headers-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
 fc4312c68b5c607badb6f647ac82f0c6 25817124 kernel optional linux-image-2.6.32-trunk-vserver-686_2.6.32-3_i386.deb
 0bb18899ed793a452ebfec8542bb05bb 25823062 kernel optional linux-image-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
 8eba9d4e4ef3945436a576c1a1c169e4 465370 kernel optional linux-headers-2.6.32-trunk-vserver-686-bigmem_2.6.32-3_i386.deb
 da7b501ce5a7d16f86d257195ce94560 3863632 kernel optional linux-headers-2.6.32-trunk-common-vserver_2.6.32-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBSzN49ue/yOyVhhEJAQpsAA/+N9ZJEazDN3bGE1kE0/Kx65HVvYiBKa2g
191/K0iExKFEcGbOtqDRMmVlD0ljOausaGsrQJaX1Wtwf3Qdbt7OI8xTG6qLIWO3
uxq2eVmBS/9jZpPo4e1m1kTWO/7QM06dVHI5dpqrgnp0Teu8gsb2TLFTLRUfolnG
NsqNbDSyBfOtyrM8MOm0gbFFOUNFXePYrYajhKx4z0fDAvD/cVyXLotfBV0d/o/y
tOK2ncYbfE/cGGBV6B74cccsb514sATgdTpAug/XGjNcoYBE29j2EmC+9HdjVmzg
Vwc3N7/yOi9FIcaOF9wcUS6armIjaUM4K4KfnMfK4aLjpyBqQPyI9EzJhtyHPfQo
0N5JgUprZS+ANBm4wY1X3/dWLkHSJbazrcezelNKPpGtl6YAFGCdPfiJgKJlQzR9
k4fT9f0t1W0bxbuGMDQLu807+ERE9nR1zBuSwTzh2lTc62zumdNtfRGJIGEpgrjg
j5mm2dX8AjPbCnAK3YblggtWEMJlpwB1RA7ZDcL9GHV87HwzqYGPiN4OuCLgjhbt
3lZ0gfp2fvbR9O288XhL5MHLN30qH+gHbfs6X5GozJL99GK6pYSKUhfuhWJAQlyo
cuhLbLbNyfSA63M7eD2rJZJSjm6bvzb70DyUq6O/ysGQSoUDy25DnI0Ayar/YsEz
/37q0q772R8=
=e+12
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Wed, 30 Dec 2009 04:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Dec 2009 04:06:03 GMT) Full text and rfc822 format available.

Message #83 received at 561309@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 561309@bugs.debian.org, debian-boot@lists.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, Martin Michlmayr <tbm@cyrius.com>
Subject: Thecus n2100, d-i and #561309
Date: Tue, 29 Dec 2009 23:02:41 -0500
[Message part 1 (text/plain, inline)]
The Thecus n2100 uses r8169 for ethernet.
Per #561309, in 2.6.32, that module requests two firmware files
(that are not packaged and are nonfree anyway), even when they are not
needed by the actual hardware. (The n2100 doesn't need them.)

In d-i, check-missing-firmware is run by ethdetect and will notice the
kernel has requested these two files and failed to get them. It will
then display a debconf note about the problem. This note will block
d-i getting onto the network, which on this typically console-less
system, is the only way a user can see it and continue with the
installation. Oops!

I have not verified this since my thecus is too important a server to
take down to test it. Maybe tbm could?

If I've predicted this problem accuratly, I wonder if the r8169 module
should/could be changed to request the firmware files only on hardware
that needs them?

A few workarounds could be done on the d-i side. We could skip the
blocking note display if the only missing files are those two. Or the
note could be disabled from being shown before the network is configured 
(by preseeding or other method) on systems using network-console.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Wed, 30 Dec 2009 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Dec 2009 04:30:03 GMT) Full text and rfc822 format available.

Message #88 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Joey Hess <joeyh@debian.org>, 561309@bugs.debian.org
Cc: debian-boot@lists.debian.org, Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#561309: Thecus n2100, d-i and #561309
Date: Wed, 30 Dec 2009 04:27:18 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2009-12-29 at 23:02 -0500, Joey Hess wrote:
> The Thecus n2100 uses r8169 for ethernet.
> Per #561309, in 2.6.32, that module requests two firmware files
> (that are not packaged and are nonfree anyway), even when they are not
> needed by the actual hardware. (The n2100 doesn't need them.)

It does not.  However, the static information in the module lists all
firmware files that it might request.

[...]
> A few workarounds could be done on the d-i side. We could skip the
> blocking note display if the only missing files are those two. Or the
> note could be disabled from being shown before the network is configured 
> (by preseeding or other method) on systems using network-console.

This problem is not unique to r8169; you should fix it generically in
d-i.

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Wed, 30 Dec 2009 07:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Dec 2009 07:09:03 GMT) Full text and rfc822 format available.

Message #93 received at 561309@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 561309@bugs.debian.org, debian-boot@lists.debian.org, Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#561309: Thecus n2100, d-i and #561309
Date: Wed, 30 Dec 2009 02:05:44 -0500
[Message part 1 (text/plain, inline)]
Ben Hutchings wrote:
> On Tue, 2009-12-29 at 23:02 -0500, Joey Hess wrote:
> > The Thecus n2100 uses r8169 for ethernet.
> > Per #561309, in 2.6.32, that module requests two firmware files
> > (that are not packaged and are nonfree anyway), even when they are not
> > needed by the actual hardware. (The n2100 doesn't need them.)
> 
> It does not.  However, the static information in the module lists all
> firmware files that it might request.

I thought the crash reported in #561309 was caused by the module trying
to load firmware on a machine that didn't have it (and didn't need it)?

Are you saying that the Thecus n2100 doesn't have the particular
chipset versions for which it requests firmware? (eg, rtl8168d)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Wed, 30 Dec 2009 10:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 30 Dec 2009 10:33:14 GMT) Full text and rfc822 format available.

Message #98 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Joey Hess <joeyh@debian.org>, 561309@bugs.debian.org
Cc: debian-boot@lists.debian.org, Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#561309: Thecus n2100, d-i and #561309
Date: Wed, 30 Dec 2009 10:32:36 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2009-12-30 at 02:05 -0500, Joey Hess wrote:
> Ben Hutchings wrote:
> > On Tue, 2009-12-29 at 23:02 -0500, Joey Hess wrote:
> > > The Thecus n2100 uses r8169 for ethernet.
> > > Per #561309, in 2.6.32, that module requests two firmware files
> > > (that are not packaged and are nonfree anyway), even when they are not
> > > needed by the actual hardware. (The n2100 doesn't need them.)
> > 
> > It does not.  However, the static information in the module lists all
> > firmware files that it might request.
> 
> I thought the crash reported in #561309 was caused by the module trying
> to load firmware on a machine that didn't have it (and didn't need it)?

No, there was a bug in the error path for the variant that did need it.

> Are you saying that the Thecus n2100 doesn't have the particular
> chipset versions for which it requests firmware? (eg, rtl8168d)

Right, they have one of two RTL8169 variants.

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Wed, 13 Jan 2010 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jan 2010 20:57:03 GMT) Full text and rfc822 format available.

Message #103 received at 561309@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: 561309@bugs.debian.org
Subject: How can I stop the bootup delay?
Date: Wed, 13 Jan 2010 20:54:54 +0000
How can this firmware (rtl8168d-2.fw) be obtained? I don't need it, but
it's annoying having a minute wasted at bootup. I've checked packages
and Googled for it, and even looked for it in the upstream kernel
source. Is it in those arrays of phy_reg in rtl8168d_2_hw_phy_config
etc? If so, how can I convert them into a .fw image? Or what would
happen if I just did 'touch /lib/firmware/rtl8168d-2.fw'?

If nobody knows where to obtain it, please stop the driver from
requesting it, because it's just annoying to people who don't need the
firmware, and no help to anyone else as long as they can't obtain an
image.

-- 
TH * http://www.realh.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Thu, 14 Jan 2010 20:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 20:21:02 GMT) Full text and rfc822 format available.

Message #108 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Tony Houghton <h@realh.co.uk>, 561309@bugs.debian.org
Subject: Re: Bug#561309: How can I stop the bootup delay?
Date: Thu, 14 Jan 2010 20:19:12 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2010-01-13 at 20:54 +0000, Tony Houghton wrote:
> How can this firmware (rtl8168d-2.fw) be obtained? I don't need it, but
> it's annoying having a minute wasted at bootup. I've checked packages
> and Googled for it, and even looked for it in the upstream kernel
> source. Is it in those arrays of phy_reg in rtl8168d_2_hw_phy_config
> etc? If so, how can I convert them into a .fw image? Or what would
> happen if I just did 'touch /lib/firmware/rtl8168d-2.fw'?

The missing file is not the problem.  The problem is with sequencing of
module and udev initialisation in the initramfs.

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Thu, 14 Jan 2010 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 20:48:03 GMT) Full text and rfc822 format available.

Message #113 received at 561309@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: 561309@bugs.debian.org
Subject: Re: Bug#561309: How can I stop the bootup delay?
Date: Thu, 14 Jan 2010 20:45:07 +0000
On Thu, 14 Jan 2010 20:19:12 +0000
Ben Hutchings <ben@decadent.org.uk> wrote:

> The missing file is not the problem.  The problem is with sequencing of
> module and udev initialisation in the initramfs.

Do you have another bug number I can subscribe to so I can get notified
when this is fixed? I'll probably use Realtek's r8168 driver in the
meantime.

-- 
TH * http://www.realh.co.uk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Thu, 14 Jan 2010 21:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 21:30:03 GMT) Full text and rfc822 format available.

Message #118 received at 561309@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Tony Houghton <h@realh.co.uk>, 561309@bugs.debian.org
Subject: Re: Bug#561309: How can I stop the bootup delay?
Date: Thu, 14 Jan 2010 21:27:16 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-01-14 at 20:45 +0000, Tony Houghton wrote:
> On Thu, 14 Jan 2010 20:19:12 +0000
> Ben Hutchings <ben@decadent.org.uk> wrote:
> 
> > The missing file is not the problem.  The problem is with sequencing of
> > module and udev initialisation in the initramfs.
> 
> Do you have another bug number I can subscribe to so I can get notified
> when this is fixed? I'll probably use Realtek's r8168 driver in the
> meantime.

Is r8169 listed in /etc/initramfs-tools/modules?  If so then this is the
same as #557439, and I can merge the bugs.

Otherwise it's a different bug, possibly related to #539406.

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#561309; Package linux-2.6. (Thu, 14 Jan 2010 23:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tony Houghton <h@realh.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jan 2010 23:39:04 GMT) Full text and rfc822 format available.

Message #123 received at 561309@bugs.debian.org (full text, mbox):

From: Tony Houghton <h@realh.co.uk>
To: 561309@bugs.debian.org
Subject: Re: Bug#561309: How can I stop the bootup delay?
Date: Thu, 14 Jan 2010 23:35:28 +0000
On Thu, 14 Jan 2010 21:27:16 +0000
Ben Hutchings <ben@decadent.org.uk> wrote:

> On Thu, 2010-01-14 at 20:45 +0000, Tony Houghton wrote:
> > On Thu, 14 Jan 2010 20:19:12 +0000
> > Ben Hutchings <ben@decadent.org.uk> wrote:
> > 
> > > The missing file is not the problem.  The problem is with sequencing of
> > > module and udev initialisation in the initramfs.
> > 
> > Do you have another bug number I can subscribe to so I can get notified
> > when this is fixed? I'll probably use Realtek's r8168 driver in the
> > meantime.
> 
> Is r8169 listed in /etc/initramfs-tools/modules?

No. I think the module is being loaded in the initramfs boot stage
though, it's certainly very early in the boot sequence:- with the
"quiet" kernel option the long wait occurs before anything has been
printed except "Loading, please wait," or whatever.

> If so then this is the
> same as #557439, and I can merge the bugs.
> 
> Otherwise it's a different bug, possibly related to #539406.

-- 
TH * http://www.realh.co.uk




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Mar 2010 07:29:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:07:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.